> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--response-center/queries/get-incident-related-issues.md).

# getIncidentRelatedIssues

Issues on the incident's monitored libraries that belong to a different policy than its own exposure, returned as code and container evidence groups (Findings-tab Related Issues section).

### Examples

{% tabs %}
{% tab title="GraphQL" %}

```graphql
query GetIncidentRelatedIssues($incidentId: String!) {
  getIncidentRelatedIssues(incidentId: $incidentId) {
    groups {
      category
      totalCount
      stateCounts {
        state
        count
      }
      stateBreakdown {
        label
        count
      }
      latestAsOf
      severityCounts {
        severity
        count
      }
      breakdownCounts {
        label
        count
      }
      items {
        id
        incidentId
        category
        state
        severity
        title
        resourceName
        resourceDetail
        pipelineOutcome
        targetBranch
        appName
        appType
        hitIndicatorValues
        isRunning
        isInternetExposed
        dependencyType
        pinState
        stateReason
        externalUrl
        asOf
        developerEmail
        resourceOwner
        issueId
        sbomAppId
        sbomLibrary
        isFixAvailable
        hasTicket
        commentCount
        isGptAvailable
        isExcluded
      }
    }
  }
}
```

#### Variables

This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.

```json
{
  "incidentId": "example"
}
```

{% endtab %}

{% tab title="cURL" %}

```shell
curl -X POST \
https://api.cloud.ox.security/api/apollo-gateway \
-H 'Content-Type: application/json' \
-H 'Authorization: YOUR_API_TOKEN' \
-d '{
 "query": "query GetIncidentRelatedIssues($incidentId: String!) { getIncidentRelatedIssues(incidentId: $incidentId) { groups { category totalCount stateCounts { state count } stateBreakdown { label count } latestAsOf severityCounts { severity count } breakdownCounts { label count } items { id incidentId category state severity title resourceName resourceDetail pipelineOutcome targetBranch appName appType hitIndicatorValues isRunning isInternetExposed dependencyType pinState stateReason externalUrl asOf developerEmail resourceOwner issueId sbomAppId sbomLibrary isFixAvailable hasTicket commentCount isGptAvailable isExcluded } } } }",
 "variables": {
    "incidentId": "example"
  }
}'
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const query = 'query GetIncidentRelatedIssues($incidentId: String!) { getIncidentRelatedIssues(incidentId: $incidentId) { groups { category totalCount stateCounts { state count } stateBreakdown { label count } latestAsOf severityCounts { severity count } breakdownCounts { label count } items { id incidentId category state severity title resourceName resourceDetail pipelineOutcome targetBranch appName appType hitIndicatorValues isRunning isInternetExposed dependencyType pinState stateReason externalUrl asOf developerEmail resourceOwner issueId sbomAppId sbomLibrary isFixAvailable hasTicket commentCount isGptAvailable isExcluded } } } }';

fetch("https://api.cloud.ox.security/api/apollo-gateway", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  body: JSON.stringify({
    query: query,
    // This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    variables: {
      incidentId: "example"
    }
  })
})
.then(response => response.json())
.then(result => console.log(JSON.stringify(result, null, 2)))
.catch(error => console.error('Error:', error));
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

query = 'query GetIncidentRelatedIssues($incidentId: String!) { getIncidentRelatedIssues(incidentId: $incidentId) { groups { category totalCount stateCounts { state count } stateBreakdown { label count } latestAsOf severityCounts { severity count } breakdownCounts { label count } items { id incidentId category state severity title resourceName resourceDetail pipelineOutcome targetBranch appName appType hitIndicatorValues isRunning isInternetExposed dependencyType pinState stateReason externalUrl asOf developerEmail resourceOwner issueId sbomAppId sbomLibrary isFixAvailable hasTicket commentCount isGptAvailable isExcluded } } } }'

response = requests.post(
  "https://api.cloud.ox.security/api/apollo-gateway",
  headers={
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  json={
    "query": query,
    # This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    "variables": {
      "incidentId": "example"
    }
  }
)

if response.status_code == 200:
    result = response.json()
    print(result)
else:
    print(f"Error: {response.status_code}")
    print(response.text)
```

{% endtab %}
{% endtabs %}

### Arguments

You can use the following argument(s) to customize your `getIncidentRelatedIssues` query.

| Argument                                                                           | Description | Supported fields |
| ---------------------------------------------------------------------------------- | ----------- | ---------------- |
| incidentId `String!` <mark style="color:red;background-color:red;">required</mark> |             |                  |

### Fields

Return type: [`IncidentEvidenceResult!`](/api-documentation/api-reference/api--response-center/types/objects/incident-evidence-result.md)

You can use the following field(s) to specify what information your `getIncidentRelatedIssues` query will return. Please note that some fields may have their own subfields.

| Field                                                                                                                                | Description | Supported fields                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| ------------------------------------------------------------------------------------------------------------------------------------ | ----------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| groups [`[IncidentEvidenceGroup!]!`](/api-documentation/api-reference/api--response-center/types/objects/incident-evidence-group.md) |             | <p>category <a href="/pages/3aS1uH7QycEsPLT1te88"><code>EvidenceCategory!</code></a><br>totalCount <code>Int!</code><br>stateCounts <a href="/pages/hWDKNUb7YFwLAL3DurWD"><code>\[EvidenceStateCount!]!</code></a><br>stateBreakdown <a href="/pages/FnWvufplsGwAkPTZmIss"><code>\[IncidentNamedCount!]!</code></a><br>latestAsOf <code>DateTime</code><br>severityCounts <a href="/pages/V4nJjSUoHsMfe5iZhB7q"><code>\[SeverityHistogramBucket!]!</code></a><br>breakdownCounts <a href="/pages/FnWvufplsGwAkPTZmIss"><code>\[IncidentNamedCount!]!</code></a><br>items <a href="/pages/U1nhJvKHWZqXRRo6wbKX"><code>\[IncidentEvidenceItem!]!</code></a></p> |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--response-center/queries/get-incident-related-issues.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
